$(function(){	
	$("#add_server_btn").bind("click",function() {
		submitForm();
	});		
});

function submitForm() {
	var flag = false;
	
	if($("#submit_form").valid()){
		var elelemtArray = $("#submit_form").serializeArray();
		var data = {};
		$.each(elelemtArray, function(i, item) {
			data[item.name] = item.value;
		})
		
        testConnection(data).done(function(xdata){
			if (xdata.code == "Y") {
				var request = {url:"/mosquitto/server/add", data:data, type:"POST", async:false, dataType:"json"}
				return $.ajax(request).done(function(data){
					if (data.code == "1") {
						 window.location.reload();
					}else if (data.code == "2") {
						parent.layer.alert("已经存在相同的IP和端口。");
					}
			   }).fail(function(){
				  console.log('error');
			   })
			}else{
				parent.layer.alert("不能连上mosquitto服务");
			}			
		})
		
	}
	return flag;
}

var testConnection = function(data){
	$("#hint_msg").text("尝试连接Mosquitto服务中...");
	var request = {url:"/mosquitto/server/connection_test", data:data, type:"POST", async:true, dataType:"json"}
	return $.ajax(request).done(function(data){
			
	}).fail(function(){
		console.log('error');
	}).always(function(){
		$("#hint_msg").text("");
	})
}

var ServerFormValidator = function() {	
    var handValidate = function() { 
    
	    $('#submit_form').validate({
	   	    errorElement: 'span',
	        errorClass: 'help-block-customize',
	        focusInvalid: false, 
	        ignore: "null",
	        onfocusout: function(e) {
	            this.element(e);
	        }
	        , 
	        onkeyup: false,
	        rules: {
	        	ip: {
	               required: true,
	               ip: true
	           },
	           port: {
	               required: true,
	               isDigits: true,
	               min:1000,
	               max:65535
	           },
	           userName: {
	        	   maxlength:20
	           },
	           password: {
	        	   maxlength:500
	           }
	       },
	
	       messages: {
	    	   ip: {
	               required: "不能为空",
	               ip: "不是IP地址格式"
	           },
	           port: {
	               required: "不能为空",
	               isDigits: "只能为数字",
	               min:"端口最小为1000",
	               max:"端口最大为65535"
	           },
	           userName: {
	        	   maxlength:"最大长度为20"
	           },
	           password: {
	        	   maxlength:"最大长度为500"
	           }
	       },
	
	       invalidHandler: function(event, validator) { 
	       },
	
	       highlight: function(element) {	    	  
	           $(element).addClass('has-error');
	           $(element).parent().prev(".control-label").addClass('has-error');
	       },
	
	       success: function(label, element) {
	    	   var x =arguments;
	    	   $(element).removeClass('has-error');	    	  
	           label.remove();
	       },
	
	       errorPlacement: function(error, element) {
	    	   error.appendTo(element.parent())
	    	   // error.appendTo($(element).parent().prev(".control-label"));
	           //error.insertAfter(element.closest('.col-md-9'));
	       },
	
	       submitHandler: function(form) {
	           form.submit(); 
	       }
	   });
    
    }

    return {       
        init: function() {
        	handValidate();
        }
    };
}();
